# xarray.core.rolling.DataArrayRolling.reduce

`DataArrayRolling.``reduce`(func, **kwargs)

  Reduce the items in this group by applying func along some dimension(s).

  Parameters:

  func : function

  > Function which can be called in the form func(x, **kwargs) to return the result of collapsing an np.ndarray over an the rolling dimension.

  **kwargs : dict

  > Additional keyword arguments passed on to func.

  Returns:

  reduced : DataArray

  > Array with summarized data.